Bug 52906

Summary: [Qt] fast/backgrounds/svg-as-mask.html fails
Product: WebKit Reporter: Chang Shu <cshu>
Component: SVGAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, kling, suresh.voruganti, zimmermann
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Proposed patch none

Description Chang Shu 2011-01-21 11:09:49 PST
The above layout test fails on Qt Linux. I think it is Qt issue related to painting SVG image with composition mode dst_in. Can someone confirm?
Comment 1 Andreas Kling 2011-01-21 18:58:43 PST
Created attachment 79818 [details]
Proposed patch
Comment 2 Andreas Kling 2011-01-22 04:52:26 PST
Comment on attachment 79818 [details]
Proposed patch

Clearing flags on attachment: 79818

Committed r76444: <http://trac.webkit.org/changeset/76444>
Comment 3 Andreas Kling 2011-01-22 04:52:37 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Chang Shu 2011-01-23 13:37:23 PST
Thanks for the fast fix!
Comment 5 Suresh Voruganti 2011-01-24 07:09:36 PST
Pls cherry pick the fix to Qtwebkit 2.2
Comment 6 Ademar Reis 2011-01-24 07:47:57 PST
Revision r76444 cherry-picked into qtwebkit-2.2 with commit 1dc9233 <http://gitorious.org/webkit/qtwebkit/commit/1dc9233>